Bulk Update Job Architecture Changes
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"change_status": "saved",
"change_ids": [
"6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"22d2c013-ab77-410e-b5fb-2f96eed9c1db"
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes"
payload = {
"change_status": "saved",
"change_ids": ["6129e3f1-663f-44ea-aa3f-2ce1077b834c", "22d2c013-ab77-410e-b5fb-2f96eed9c1db"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
change_status: 'saved',
change_ids: ['6129e3f1-663f-44ea-aa3f-2ce1077b834c', '22d2c013-ab77-410e-b5fb-2f96eed9c1db']
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Changes
Bulk Update Job Architecture Changes
Update multiple Job architecture changes at once by providing a list of change IDs and the new status.
Bulk Update Job Architecture Changes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The new status to apply to all specified changes
Available options:
saved, deleted Example:
"saved"
List of change external IDs to update. Each change to update needs to be in the "suggested" state.
Example:
[
"6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"22d2c013-ab77-410e-b5fb-2f96eed9c1db"
]
Response
No Content
Was this page helpful?
⌘I